Subject: RE: [Simple] Appear Offline

From: sunqian 32328 <[email-masked]>
Date: Mon, 16 Apr 2007 22:31:09 +0800

Hi, 
In that case you have to set <class>appear offline</class> or the alike in tuples of the presence document, and at the same time set <provide-services><class>appear offline</class></provide-services> in the Presence Authorization Rules.

I prefer to only use "polite-block" Action in the Presence Authorization Rules, it needn't set anything in the presence document. this seems simpler.

And you know, the Watcher Information[rfc3857] will disclose who are subscribing the presence information of a presentity. So a user can not indeed hide himself in a SIMPLE presence service with Watcher Information mechanism. Because if you are offline, you must not have a active subscription.

In fact, the usage of Watcher Information is primarily presence authorization of the pending subscription mentioned in [rfc3857]. Maybe we should use other method e.g. consent mechanism mentioned in [rfc4453] and discard Watcher Information mechanism, 
or don't provide the presentity with the Watcher Information which subscription is "active", you can find this don't affect the presence authorization of the pending subscription, because it just need the "pending" subscription.  

Best Regards,
Qian

----- Original Message -----
From: [email-masked]
Date: Monday, April 16, 2007 7:56 pm
Subject: RE: [Simple] Appear Offline

> Hi Qian,
> 
> Sources may publish multiple tuples (one with status 'open', one with
> status 'closed') and set authorization rules appropriately.
> 
> Cheers,
> Krisztian 
> 
> >-----Original Message-----
> >From: ext sunqian 32328 [[email-masked]] 
> >Sent: Sunday, April 15, 2007 8:35 AM
> >To: [email-masked]
> >Subject: RE: [Simple] Appear Offline
> >
> >Hi,
> >Sometimes a user just wants to appear offline to some specific 
> >persons, not all of his buddies, especially not the person who 
> >is communicating with the user.
> >
> >How to realize this feature?
> >
> >Best Regards,
> >Qian Sun
> >
> >----- Original Message -----
> >From: [email-masked]
> >Date: Sunday, April 15, 2007 1:51 pm
> >Subject: RE: [Simple] Appear Offline
> >
> >> >Does it make sense?
> >> 
> >> Yes. The presence source needs to publish status 'closed' in 
> >order to 
> >> appear to be offline.
> >> 
> >> Cheers,
> >> Krisztian
> >> 
> >> >-----Original Message-----
> >> >From: ext [email-masked] [[email-masked]]
> >> >Sent: Thursday, April 12, 2007 11:04 PM
> >> >To: [email-masked]
> >> >Cc: [email-masked]
> >> >Subject: RE: [Simple] Appear Offline
> >> >
> >> >Hi
> >> >
> >> >I've been thinking about it, and my previous suggestion (do not
> >> publish>anything) is not correct. I agree with David Viamonte,
> >> that if
> >> >you want to appear offline you simply set your status to 
> closed. 
> >> >
> >> >You want to appear offline, which means that you want to be 
> able to 
> >> >use IM service, but you do not want to be seen.
> >> >Setting your presence status to "closed" should not have 
> impact on 
> >> >your usage of IM. So I think you do not need "appear 
> >offline" option 
> >> >in presence document. When you indicate to your IM client that 
> you 
> >> >want to appear offline, it will set presence status of IM 
> service 
> >> >tuple to closed while keeping your online.
> >> >
> >> >Does it make sense?
> >> >
> >> >Silvestr
> >> >
> >> >
> >> >>-----Original Message-----
> >> >>From: Qian Sun [[email-masked]]
> >> >>Sent: Thursday, April 12, 2007 9:46 AM
> >> >>To: 'Robert Sparks'
> >> >>Cc: [email-masked]
> >> >>Subject: RE: [Simple] Appear Offline
> >> >>
> >> >>Dear all,
> >> >>I have received several different answers so far:
> >> >>1. The first one is from "Presence Authorization Rules" as
> >> Robert
> >> >>indicated,
> >> >http://www.ietf.org/internet-drafts/draft-ietf-simple-presence-
> >> >>rules-09.txt
> >> >>It uses a specific Action in presence rules, i.e. 
> <actions><sub-
> >> >>handling>polite-block</sub-handling>, to "tell the server to
> >> >>place the subscription into the "active" state, and to 
> produce a
> >> >presence
> >> >>document that indicates that the presentity is unavailable.  A
> >> >reasonable
> >> >>document would exclude device and person information elements,
> >> and
> >> >>include only a single service whose basic status is set to 
> closed.">> >>
> >> >>2. The second one is from IM SIMPLE of OMA, it looks like what
> >> David
> >> >>replied.
> >> >>"The IM subscriber SHALL be shown to his contacts with
> >> >presence status
> >> >>"offline" to his contacts when the "invisible" option is
> >> switched on."
> >> >>"Upon receiving a service setting request containing the
> >> ><vis-settings>
> >> >>element, as defined in Appendix E, from an IM User the IM Server
> >> SHALL>act
> >> >>as a Presence Source."
> >> >>"In the case when the value of the active attribute of the
> >> ><vis-status>
> >> >>element is "closed", the IM Server SHALL perform the publication
> >> of
> >> >>presence information as defined in [OMA-Pres-Spec] 
> "Publication of
> >> >presence
> >> >>information". The IM Server: SHALL set the value of
> >> >"Application-specific
> >> >>Availability for IM" Presence information element to unavailable"
> >> >>
> >> >>3. I did saw some products had realized this feature using <note>
> >> >element.
> >> >>:)
> >> >>4. Do not publish your presence information, very simple!
> >> >>
> >> >>Maybe we can also use "transformations" to archive this job,
> >> >><transformations><provide-services><hidden/></provide-
> >> >>services></transformations>, this transformation turns the
> >> status of
> >> >all
> >> >>service into "closed". It looks not bad.
> >> >>
> >> >>Anyway, should we do something here to avoid confusion and 
> >potential
> >> >IOP
> >> >>issues?
> >> >>
> >> >>Best Regard,
> >> >>Qian
> >> >>
> >> >
> >> >_______________________________________________
> >> >Simple mailing list
> >> >[email-masked]
> >> >https://www1.ietf.org/mailman/listinfo/simple
> >> >
> >> 
> >
> >
> >_______________________________________________
> >Simple mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/simple
> >
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple